#ifndef TITAN_PCBCAM_SYMBOLFACTORY_H
#define TITAN_PCBCAM_SYMBOLFACTORY_H
#include "../titanpcbcamglobal.h"


class PcbCamSymbol;
class TITAN_PCBCAM_EXPORT PcbCamSymbolFactory
{
public:
    static PcbCamSymbol *create(const QString &iName);
    static QString symbolScaledName(const QString &iName, double iScale, int iPercision=6);
};


#endif // TITAN_PCBCAM_SYMBOLFACTORY_H
